Jump to content
TrinityCore
Dominatorr15

[SOLVED]6.2.3 client won't start after 6.2.4 retail patch

Recommended Posts

Apologies in advance if this is in the wrong forum but I am having an issue launching my server's 6.2.3 client after Blizzard updated the retail client to 6.2.4 today. Connection patcher won't work either. Anyone know how to fix this?

Share this post


Link to post
Share on other sites

The issue is that the build type is checked via ( i think bnet.dll) every time it is started 
I.m not exactly sure when the client started doing this. not to mention they did a change on their back-end supposedly to optimize the memory between bnet and client imho I believe it is more to control how client is used and also to control the client hashes IE: /6.2.2a /6.2.3/ 6.2.4/. I can not be sure about this. but im sure the Offy Blizz server sends the packet to update Or client checks a hash list to see if it is the correct client to be running.
I have not checked this yet as im just now getting online since the update. 
Right now I believe anyone running 6.2.3 is shot in foot so you are not alone.

I haven't found solution but i can list what wont work to save you time 

1. Blocking exe via firewall doesnt even work via a closed network using 127.0.0.1 for server address  It still tries to update.
2. Changing to exe to read only Nope didnt work update still triggered.
3. Change all of blizzards server addresses to 127.0.0.1 in host file. nope still calls update but fails because distro server is going to 127.0.0.1 lol
4. Take system offline. LOL it throws an error http://US.patch.battle.net:1119/wow/versions:
World of Warcraft could not resolve the address of the network data source. For help fixing this issue, please see: https://battle.net/support/article/7413

So far thats all i have tried to come up with a work around. sorry I could not be better assistance but I thought maybe if I supplied what didn't work it might save you time trying to come up with solution. 
 

Share this post


Link to post
Share on other sites

Run the exe with the following parameters

Wow_Patched.exe -uid plsnopatch -noautolaunch64bit

 

The -uid followed by a random string is the key

  • Upvote 1

Share this post


Link to post
Share on other sites
32 minutes ago, Rangorn said:

Personnally, i modify the both exes (64 and 32) with a hex editor program and change the path cdns/versions to my own server.

 

 

You know that connection patcher already have such thing implemented?

Share this post


Link to post
Share on other sites
Just now, Rangorn said:

Nope, didn't figuret it.

TrinityCore have his own cdns/versions hosted somewhere ?

Hello there,

You only need the version hosted to be honest for it to work, which is something that trinity does here:
https://github.com/trinity6/trinity6.github.io

Support for the connection_patcher with different builds can be found here:
https://github.com/TrinityCore/TrinityCore/commit/7e906d7b1926394ba436315b7222b95f5473f79b

Kind regards,
DJScias

Share this post


Link to post
Share on other sites

Is there anything one can do if their client already updated itself, before I read this thread? Deleting the Data folder and relaunching the 6.2.3 client just downloads the latest data, even with the  -uid wow_enus -noautoupdate  parameters.

Share this post


Link to post
Share on other sites

FYI the client does not have a command line param called "noautoupdate", you putting it there does nothing

Share this post


Link to post
Share on other sites

I think I ran into similar problem here, at wow loginscreen getting battle.net-error #112 -> it says it couldn't check the game version......

I tried the before mentioned "Wow_Patched.exe -uid plsnopatch -noautolaunch64bit" but no success, still error #112.


Background:
I used for over 3 months a trinity server(core.zip download date 15.12.2015) and always started the client wow-64.exe with " -uid wow-dede" command and never had a problem. I never updated the wow client after the initial setup of the trintiy server it is still version 6.2.3.20779.

Today I updated trinity to the current version(core.zip download date 23.03.2016). Trinity update went all fine no errors and for the first test I started the wow client with the old patched wow-64.exe from the old trinity version(2015.12.15.). 
All went fine I played for several hours and then did a normal logout and a normal trintiy server shutdown strg+c. No problems what so ever. I did not update the WoW Client it is still version 6.2.3.20779.

Then a few minutes later when I started trinity and the WoW Client again(with the old patched wow-64.exe and " -uid wow-dede") and then out of nothing the error #112 showed up.

Finally I tried the current new connection-patcher.exe on the wow-64.exe but still #112 error.





 

Edited by yodel

Share this post


Link to post
Share on other sites
5 hours ago, yodel said:

I think I ran into similar problem here, at wow loginscreen getting battle.net-error #112 -> it says it couldn't check the game version......

I tried the before mentioned "Wow_Patched.exe -uid plsnopatch -noautolaunch64bit" but no success, still error #112.


Background:
I used for over 3 months a trinity server(core.zip download date 15.12.2015) and always started the client wow-64.exe with " -uid wow-dede" command and never had a problem. I never updated the wow client after the initial setup of the trintiy server it is still version 6.2.3.20779.

Today I updated trinity to the current version(core.zip download date 23.03.2016). Trinity update went all fine no errors and for the first test I started the wow client with the old patched wow-64.exe from the old trinity version(2015.12.15.). 
All went fine I played for several hours and then did a normal logout and a normal trintiy server shutdown strg+c. No problems what so ever. I did not update the WoW Client it is still version 6.2.3.20779.

Then a few minutes later when I started trinity and the WoW Client again(with the old patched wow-64.exe and " -uid wow-dede") and then out of nothing the error #112 showed up.

Finally I tried the current new connection-patcher.exe on the wow-64.exe but still #112 error.





 

TC supports only  6.2.3 20886 not 6.2.3.20779

Share this post


Link to post
Share on other sites

--- Canned message start --- It appears the issue in the original post was solved, so this thread shall be closed. Should you encounter any other difficulties, please open a new thread. --- Canned message end ---

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...